Subject: Re: Using Cypress EZ-Host on ML403/5

From: Peter Korsgaard <[email-masked]>
Date: Thu, 19 Apr 2007 14:44:32 +0200

>>>>> "Grant" == Grant Likely <[email-masked]> writes:

Hi,

>> Has anyone had the Cypress EZ-Host chip working as a USB host under
>> Linux?  It's the one that comes fitted as standard to ML403 and
>> ML405 boards (probably other Xilinx boards too).  If not, can
>> anyone tell me where I should start?  Any advice at all?  Our own
>> embedded device needs to have USB host support and we are using an
>> ML40x for development so the EZ-Host is the preferred solution as
>> we can prototype it.

Grant> It's on my task list to get working.  I could certainly use
Grant> some help.

I have written a 2.6 USB host driver for the Cypress
EZ-Host/EZ-Otg. It's basically working, but needs a bit more
cleanup. I hope to be able to submit it next week.

-- 
Bye, Peter Korsgaard